API Reference
API Reference

/departments

Returns a collection of your account departments. Required scope: r_account. Accessible with all token types.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

This endpoint uses r_account scope which can be enabled through the Integrations section found within the Settings menu. This endpoint is only accessible for accounts that have enabled Employee Management features.

Results

Calling the /departments endpoint will return a collection of the defined departments for the account. An example of the response follows:

[
    {
        "id": "3ff4d641",
        "name": "Commercial",
        "parent_id": null
    },
    {
        "id": "3ff4d642",
        "name": "Customer Success",
        "parent_id": "3ff4d641"
    },
    {
        "id": "3ff4d643",
        "name": "Support",
        "parent_id": "3ff4d642"
    },
    {
        "id": "3ff4d644",
        "name": "Marketing",
        "parent_id": "3ff4d641"
    },
    {
        "id": "3ff4d645",
        "name": "Content",
        "parent_id": "3ff4d644"
    },
    {
        "id": "3ff4d646",
        "name": "Sales",
        "parent_id": "3ff4d641"
    },
    {
        "id": "3ff4d647",
        "name": "Account Executive",
        "parent_id": "3ff4d646"
    },
    {
        "id": "3ff4d648",
        "name": "Business Development",
        "parent_id": "3ff4d646"
    },
    {
        "id": "3ff4d649",
        "name": "Engineering",
        "parent_id": null
    },
    {
        "id": "3ff4d64a",
        "name": "Finance",
        "parent_id": null
    },
    {
        "id": "3ff4d64b",
        "name": "HR",
        "parent_id": null
    }
]

Each department will have the following keys:

keytypedescription
idstringThe department identifier. Note that this id should be used when creating or updating an employee using the POST and PATCH endpoints respectively.
namestringThe name of the department
parent_idstringThe department identifier of the parent department or null if it is a top level department
Path Params
string
required

The account subdomain

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json